> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a unique, secure link to the signup application for a Merchant.

> Passed a merchant's ID, returns a full URL to the application for processor
approval.  This link expires in 48 hours.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/merchant/get-form-link
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/merchant/get-form-link:
    get:
      tags:
        - Merchant management
      summary: Get a unique, secure link to the signup application for a Merchant.
      description: >-
        Passed a merchant's ID, returns a full URL to the application for
        processor

        approval.  This link expires in 48 hours.
      operationId: getAUniqueSecureLinkToTheSignupApplicationForAMerchant
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The unique SID of the Merchant.
                      example: 69
                  required:
                    - sid
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    link: https://app.dimepayments.com/some/link
                properties:
                  data:
                    type: object
                    properties:
                      link:
                        type: string
                        example: https://app.dimepayments.com/some/link
                        description: >-
                          The https secure link for the Merchant application
                          that expires in 48 hours.
        '400':
          description: Failed validation
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    data.sid:
                      - The data.sid field is required.
                properties:
                  errors:
                    type: object
                    properties:
                      data.sid:
                        type: array
                        example:
                          - The data.sid field is required.
                        items:
                          type: string
        '401':
          description: Bad API Key Permission
          content:
            application/json:
              schema:
                type: object
                example:
                  message: Permission Denied.
                properties:
                  message:
                    type: string
                    example: Permission Denied.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````